package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.SysSourceDefaultMapper;
import com.ruoyi.system.domain.SysSourceDefault;
import com.ruoyi.system.service.ISysSourceDefaultService;

/**
 * 资源位默认配置Service业务层处理
 * 
 * @author haotian
 * @date 2025-04-21
 */
@Service
public class SysSourceDefaultServiceImpl implements ISysSourceDefaultService 
{
    @Autowired
    private SysSourceDefaultMapper sysSourceDefaultMapper;

    /**
     * 查询资源位默认配置
     * 
     * @param id 资源位默认配置主键
     * @return 资源位默认配置
     */
    @Override
    public SysSourceDefault selectSysSourceDefaultById(Long id)
    {
        return sysSourceDefaultMapper.selectSysSourceDefaultById(id);
    }

    /**
     * 查询资源位默认配置列表
     * 
     * @param sysSourceDefault 资源位默认配置
     * @return 资源位默认配置
     */
    @Override
    public List<SysSourceDefault> selectSysSourceDefaultList(SysSourceDefault sysSourceDefault)
    {
        return sysSourceDefaultMapper.selectSysSourceDefaultList(sysSourceDefault);
    }

    /**
     * 新增资源位默认配置
     * 
     * @param sysSourceDefault 资源位默认配置
     * @return 结果
     */
    @Override
    public int insertSysSourceDefault(SysSourceDefault sysSourceDefault)
    {
        sysSourceDefault.setCreateTime(DateUtils.getNowDate());
        return sysSourceDefaultMapper.insertSysSourceDefault(sysSourceDefault);
    }

    /**
     * 修改资源位默认配置
     * 
     * @param sysSourceDefault 资源位默认配置
     * @return 结果
     */
    @Override
    public int updateSysSourceDefault(SysSourceDefault sysSourceDefault)
    {
        sysSourceDefault.setUpdateTime(DateUtils.getNowDate());
        return sysSourceDefaultMapper.updateSysSourceDefault(sysSourceDefault);
    }

    /**
     * 批量删除资源位默认配置
     * 
     * @param ids 需要删除的资源位默认配置主键
     * @return 结果
     */
    @Override
    public int deleteSysSourceDefaultByIds(Long[] ids)
    {
        return sysSourceDefaultMapper.deleteSysSourceDefaultByIds(ids);
    }

    /**
     * 删除资源位默认配置信息
     * 
     * @param id 资源位默认配置主键
     * @return 结果
     */
    @Override
    public int deleteSysSourceDefaultById(Long id)
    {
        return sysSourceDefaultMapper.deleteSysSourceDefaultById(id);
    }

    /**
     *
     * 根据资源位id修改默认背景图片
     * */
    @Override
    public int updateSysSourceDefaultWorkBySourceId(Long sourceId, String workAddress){
        return sysSourceDefaultMapper.updateSysSourceDefaultWorkBySourceId(sourceId, workAddress);
    }

    /**
     *更新默认价格
     */
    @Override
    public int updateDefaultSourcePrice(Long scenicId, String part, String price){
        return sysSourceDefaultMapper.updateDefaultSourcePrice(scenicId, part, price);
    }

    /**
     * 根据sourceId返回SysSourceDefault
     * */
    @Override
    public SysSourceDefault getSourceDefaultBySourceId(Long sourceId){
        return sysSourceDefaultMapper.getSourceDefaultBySourceId(sourceId);
    }
}
